com.digi.xbee.api.connection.serial

## Class SerialPortParameters

- java.lang.Object
- - com.digi.xbee.api.connection.serial.SerialPortParameters

-     public final class SerialPortParameters
      extends Object

  Helper class used to store serial connection parameters information.

  Parameters are stored as public variables so that they can be accessed and read from any class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `baudrate`
    `int` | `dataBits`
    `int` | `flowControl`
    `int` | `parity`
    `int` | `stopBits`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortParameters(int baudrate, int dataBits, int stopBits, int parity, int flowControl)` Class constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### baudrate

          public final int baudrate

    - #### dataBits

          public final int dataBits

    - #### flowControl

          public final int flowControl

    - #### parity

          public final int parity

    - #### stopBits

          public final int stopBits

  - ### Constructor Detail

    - #### SerialPortParameters

          public SerialPortParameters(int baudrate,
                              int dataBits,
                              int stopBits,
                              int parity,
                              int flowControl)

      Class constructor. Instances a new `SerialPortParameters` object with the given parameters.
      Parameters:
        `baudrate` - Serial connection baud rate,
        `dataBits` - Serial connection data bits.
        `stopBits` - Serial connection stop bits.
        `parity` - Serial connection parity.
        `flowControl` - Serial connection flow control.
      Throws:
        `IllegalArgumentException` - if `baudrate < 0` or if `dataBits < 0` or if `stopBits < 0` or if `parity < 0` or if `flowControl < 0`.

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

© Copyright 2014–2014 Digi International Inc. All rights reserved.